// pagesA/faceinfo/faceinfo.js
import moment from '../../utils/moment'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        startdate: moment().format('YYYY-MM-DD HH:mm:ss'),
        enddate: moment().format('YYYY-MM-DD HH:mm:ss'),
        minDate: new Date().getTime(),
        currentDate: new Date().getTime(),
        imgList:["https://img.yzcdn.cn/vant/cat.jpeg"],
        selectDateStatus:false,
        selectDateStatus1:false,
        dateIndex:1,
        currentDate1:new Date().getTime()
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {

    },
    // 时间选择
    selectTimeMethods(event){
      console.log(event)
      if(event.currentTarget.dataset.index == 1){
        this.setData({
          dateIndex:event.currentTarget.dataset.index,
          selectDateStatus:true
        })
      }else if(event.currentTarget.dataset.index == 2){
        this.setData({
          dateIndex:event.currentTarget.dataset.index,
          selectDateStatus1:true
        })
      }
    },
    // 查看图片大图
    preview(event) {
      console.log(event.currentTarget.dataset.src)
      let currentUrl = event.currentTarget.dataset.src
      wx.previewImage({
        current: currentUrl, // 当前显示图片的http链接
        urls: this.data.imgList // 需要预览的图片http链接列表
      })
    },
    confirmMethods(event){
      this.setData({
        selectDateStatus: false,
        selectDateStatus1:false
      });
    },
    cancelMethods(event){
      this.setData({
        selectDateStatus: false,
        selectDateStatus1:false
      });
    },
    // 选择图像有效期
    onInput(event) {
      let time = moment(event.detail).format("YYYY-MM-DD HH:mm:ss")
      if(this.data.dateIndex == 1){
        this.setData({
          startdate:time,
          currentDate: event.detail,
          minDate:event.detail
        })
      }else if(this.data.dateIndex == 2){
        this.setData({
          enddate:time,
          currentDate1: event.detail,
        })
      }
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})